Loading...
Searching...
No Matches
bssgp_ud_hdr Struct Reference

BSSGP User-Data header (Section 10.2.1 and 10.2.2) More...

`#include <gsm_08_18.h>`

## Data Fields

uint8_t | pdu_type
| BSSGP PDU type.
uint32_t | tlli
| Temporary Link-Local Identifier.
uint8_t | qos_profile [3]
| QoS profile.
uint8_t | data [0]

## Detailed Description

BSSGP User-Data header (Section 10.2.1 and 10.2.2)

## Field Documentation

## data

uint8_t bssgp_ud_hdr::data[0]

Referenced by bssgp_rcvmsg().

## pdu_type

uint8_t bssgp_ud_hdr::pdu_type

BSSGP PDU type.

Referenced by bssgp_tx_dl_ud(), and bssgp_tx_ul_ud().

## qos_profile

uint8_t bssgp_ud_hdr::qos_profile[3]

QoS profile.

Referenced by bssgp_tx_dl_ud(), and bssgp_tx_ul_ud().

## tlli

uint32_t bssgp_ud_hdr::tlli

Temporary Link-Local Identifier.

Referenced by bssgp_rx_ul_ud(), bssgp_tx_dl_ud(), and bssgp_tx_ul_ud().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/protocol/gsm_08_18.h